_G[gTable] = {};

local aTmpVal = gTable;
cm.SetupTable(_G[aTmpVal]);


-- Called on Init
_G[gTable].OnInit = function(pObj)
	pObj.mState = 0;
	pObj.mCsData:SetVal("AppearStart", 1);
	pObj.mCsData:SetVal("AppearEnd",   2);
end

-- Called after data being loaded from disk
_G[gTable].OnLoad = function(pObj)

end


-- Called on a update
_G[gTable].OnUpdate = function(pObj)

   local aState = 0 + pObj.mState;
	if aState == 0 then
      if cm.GetGlobalBoolIndirect(pObj, "ActivatorFlag1") then
         pObj.mState = aState + 1;
   		pObj.mAlpha:AncSetupChange(0.0, 255.0, PhMaterializeTimeLong,
            IcAutoNumChgr.IC_ANCM_LINEAR);
      end

	elseif aState == 1 then
		if not pObj.mAlpha:AncIsChanging() then
         pObj.mState = aState + 1;
         pObj:SetActive(0, 0, true);
		end
	end

end


-- Called on a succesful click
_G[gTable].OnClick =  function(pObj, pName, pActorObj, pPolyNum, pX, pY)

	if pName == "" then
	
      if pObj.mCsData:IfExistsString("InfoStr1") then
         cm.GetShowInfo(pObj, "InfoStr1", "InfoTime1");
         return true;
      end
		return true;

	else
		cm.ObjDoesNotWork(pObj);
		return false;
	end

	return false;

end


-- Called on draw
_G[gTable].OnDraw =  function(pObj, pG)

   local aState = pObj.mState;
   if aState < 1 then
      return;
   end

	local aImg  = IcImageWrap(pObj.mSmallImage);
	assert(aImg);
	local aRpos = pObj.mSmPos;
	local aRect = aImg:GetCelRect(pObj.mCurCell);

	if (aState == 3 or aState == 1) then
		pG:SetColorizeImages(true);
		pG:SetColor(Color(255, 255, 255, pObj.mAlpha:AncGetVal()));
	end
	pG:DrawImage(aImg:GetImage(), aRpos.x, aRpos.y, aRect);

end


-- Called on moused
_G[gTable].OnMoused =  function(pObj)
	print(2+2);
end

-- Called on Unmoused
_G[gTable].OnUnMoused =  function(pObj)
	print(2+2);
end



